> For the complete documentation index, see [llms.txt](https://docs.yansalabs.com/trendseeker/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yansalabs.com/trendseeker/technical-docs/frequently-asked-questions.md).

# Frequently Asked Questions

### How often do TrendSeeker Rules run?

The frequency of TrendSeeker Rule runs is defined by the 'Frequency' field on the TrendSeeker Rule form. Underlying this form is a Scheduled Job that runs every 15 minutes - thus, the minimum supported frequency is every 15 minutes. While this can be overridden by customizing the Scheduled Job, we do not recommend doing so as it could impact instance performance.

### Can I run TrendSeeker Rules on-demand?

Yes! For users with the **x\_yala\_trendseeker.trend\_admin** role, there is a **Run Job Now** module in the left nav to run all active TrendSeeker Rules on demand. In addition, if you wish to trigger TrendSeeker Rule runs from your own code, you can do so via the below server-side code, where *encQuery* is an encoded query matching the rules you wish to run:

```javascript
new x_yala_trendseeker.YansaTrendSeekerHelper().runRules(encQuery).
```

### Should I be concerned about privacy when using AI intelligence?

AI intelligence currently supports OpenAI, though we expect to support other AI providers in the future. You are responsible for configuring an [AI Connector](/trendseeker/technical-docs/getting-started/setting-up-an-ai-connector.md) with your own account & credentials so you can control that endpoint. We recommend configuring the [TrendSeeker Rule](/trendseeker/technical-docs/trendseeker-rules.md) to only send pertinent information to AI that is needed for summarization, analysis, and solution recommendations. Any extraneous or sensitive information can be omitted from the "Detection table fields" sent to ensure that only the minimum essential information is sent to AI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yansalabs.com/trendseeker/technical-docs/frequently-asked-questions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
